<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{E807F1CA-9D9C-484A-8E83-269D57707B4B}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>MarketDataLib</RootNamespace>
    <AssemblyName>MarketDataLib</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="HtmlAgilityPack">
      <HintPath>..\assemblies\HtmlAgilityPack.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Office.Interop.Excel">
      <HintPath>..\assemblies\Microsoft.Office.Interop.Excel.dll</HintPath>
      <EmbedInteropTypes>True</EmbedInteropTypes>
    </Reference>
    <Reference Include="MySql.Data, Version=6.4.3.0, Culture=neutral, PublicKeyToken=c5687fc88969c44d, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\assemblies\MySql.Data.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Newtonsoft.Json">
      <HintPath>..\assemblies\Newtonsoft.Json\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.IO.Compression" />
    <Reference Include="System.IO.Compression.FileSystem" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Runtime.CompilerServices.Unsafe, Version=4.0.4.1, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\assemblies\System.Runtime.CompilerServices.Unsafe.dll</HintPath>
    </Reference>
    <Reference Include="System.Threading.Tasks.Extensions, Version=4.2.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\assemblies\System.Threading.Tasks.Extensions.dll</HintPath>
    </Reference>
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Cache\DividendHistoryCache.cs" />
    <Compile Include="Cache\GBPriceCache.cs" />
    <Compile Include="Cache\GLPriceCache.cs" />
    <Compile Include="Cache\LocalPriceCache.cs" />
    <Compile Include="CNNProcessing\BitmapExtensions.cs" />
    <Compile Include="CNNProcessing\CNNClient.cs" />
    <Compile Include="CNNProcessing\DataProcessor.cs" />
    <Compile Include="CNNProcessing\ImageHelper.cs" />
    <Compile Include="CNNProcessing\LineSegment.cs" />
    <Compile Include="CNNProcessing\PointMapping.cs" />
    <Compile Include="CNNProcessing\CNNProcessor.cs" />
    <Compile Include="CNNProcessing\TestCase.cs" />
    <Compile Include="CSVHelper\CSVFileExt.cs" />
    <Compile Include="CSVHelper\CSVFileExt2.cs" />
    <Compile Include="CSVHelper\ExtractFileHelper.cs" />
    <Compile Include="CSVHelper\StringParser.cs" />
    <Compile Include="DataAccess\AnalystRatingsDA.cs" />
    <Compile Include="DataAccess\CashDA.cs" />
    <Compile Include="DataAccess\CashflowStatementDA.cs" />
    <Compile Include="DataAccess\CompanyProfileDA.cs" />
    <Compile Include="DataAccess\CompositeDA.cs" />
    <Compile Include="DataAccess\ConsumerPriceIndexDA.cs" />
    <Compile Include="DataAccess\CurrencyConversionDA.cs" />
    <Compile Include="DataAccess\DictionaryDA.cs" />
    <Compile Include="DataAccess\DividendHistoryDA.cs" />
    <Compile Include="DataAccess\DividendPaymentDA.cs" />
    <Compile Include="DataAccess\EarningsAnnouncementsDA.cs" />
    <Compile Include="DataAccess\EconomicIndicatorDA.cs" />
    <Compile Include="DataAccess\ETFHoldingsDA.cs" />
    <Compile Include="DataAccess\HeadlinesDA.cs" />
    <Compile Include="DataAccess\HolidayDA.cs" />
    <Compile Include="DataAccess\IncomeStatementDA.cs" />
    <Compile Include="DataAccess\InsiderTransactionDA.cs" />
    <Compile Include="DataAccess\LexicalDA.cs" />
    <Compile Include="DataAccess\MStarSecurityDA.cs" />
    <Compile Include="DataAccess\OptionsDA.cs" />
    <Compile Include="DataAccess\PremarketDA.cs" />
    <Compile Include="DataAccess\SECFilingDA.cs" />
    <Compile Include="DataAccess\SplitsDA.cs" />
    <Compile Include="DataAccess\StopLimitDA.cs" />
    <Compile Include="DataAccess\UserDA.cs" />
    <Compile Include="DataAccess\ValuationDA.cs" />
    <Compile Include="DataAccess\WatchListDA.cs" />
    <Compile Include="DataAccess\YieldCurveDA.cs" />
    <Compile Include="DataAccess\ZacksRankDA.cs" />
    <Compile Include="DividendRiskParity\DividendRiskParityGenerator.cs" />
    <Compile Include="DividendRiskParity\DividendRiskParityPosition.cs" />
    <Compile Include="DividendRiskParity\DividendRiskParityResult.cs" />
    <Compile Include="DividendRiskParity\EquilibriumGenerator.cs" />
    <Compile Include="Extensions\UserExtensions.cs" />
    <Compile Include="Generator\AcquirersMultipleGenerator.cs" />
    <Compile Include="Generator\CMMomentum\CMActivePositions.cs" />
    <Compile Include="Generator\CMMomentum\CMBacktest.cs" />
    <Compile Include="Generator\CMMomentum\CMCandidate.cs" />
    <Compile Include="Generator\CMMomentum\CMCandidateGenerator.cs" />
    <Compile Include="Generator\CMMomentum\CMGeneratorResult.cs" />
    <Compile Include="Generator\CMMomentum\CMMomentumGenerator.cs" />
    <Compile Include="Generator\CMMomentum\CMParams.cs" />
    <Compile Include="Generator\CMMomentum\CMPositions.cs" />
    <Compile Include="Generator\CMMomentum\CMSessionManager.cs" />
    <Compile Include="Generator\CMMomentum\SlotPosition.cs" />
    <Compile Include="Generator\CMTrend\CMTGeneratorResult.cs" />
    <Compile Include="Generator\CMTrend\CMTMACDIndicator.cs" />
    <Compile Include="Generator\CMTrend\CMTPricingExceptions.cs" />
    <Compile Include="Generator\CMTrend\CMTrendModelResult.cs" />
    <Compile Include="Generator\CMTrend\CMTTrendGenerator.cs" />
    <Compile Include="Generator\CMTrend\CMTTrendModel..cs" />
    <Compile Include="Generator\Indicators\BandBreakIndicator.cs" />
    <Compile Include="Generator\Indicators\MVPIndicator.cs" />
    <Compile Include="Generator\Interface\IPosition.cs" />
    <Compile Include="Generator\Interface\IPurePosition.cs" />
    <Compile Include="Generator\MGSHMomentum\CandidateSelector.cs" />
    <Compile Include="Generator\MGSHMomentum\CandidateViolation.cs" />
    <Compile Include="Generator\MGSHMomentum\HedgeManager.cs" />
    <Compile Include="Generator\MGSHMomentum\IDIndicator.cs" />
    <Compile Include="Generator\MGSHMomentum\MGSHActivePositions.cs" />
    <Compile Include="Generator\MGSHMomentum\MGSHBacktest.cs" />
    <Compile Include="Generator\MGSHMomentum\MGSHBacktestResult.cs" />
    <Compile Include="Generator\MGSHMomentum\MGSHConfiguration.cs" />
    <Compile Include="Generator\MGSHMomentum\MGSHMomentumCandidate.cs" />
    <Compile Include="Generator\MGSHMomentum\MGSHMomentumGenerator.cs" />
    <Compile Include="Generator\MGSHMomentum\MGSHPositions.cs" />
    <Compile Include="Generator\MGSHMomentum\MGSHPricingException.cs" />
    <Compile Include="Generator\MGSHMomentum\MGSHQualityIndicator.cs" />
    <Compile Include="Generator\MGSHMomentum\MGSHSessionManager.cs" />
    <Compile Include="Generator\MGSHMomentum\MGSHSessionParams.cs" />
    <Compile Include="Generator\MGSHMomentum\MGSHSlotPosition.cs" />
    <Compile Include="Generator\MGSHMomentum\RealtimeGainLoss.cs" />
    <Compile Include="Generator\MGSHMomentum\ScoreIndicator.cs" />
    <Compile Include="Generator\MGSHMomentum\SlopeManager.cs" />
    <Compile Include="Generator\ModelGenerators\EdgeRatioGenerator.cs" />
    <Compile Include="Generator\Model\RealtimeGainLoss.cs" />
    <Compile Include="Generator\Model\StopLimits.cs" />
    <Compile Include="Generator\CMTrend\CMTActivePositions.cs" />
    <Compile Include="Generator\CMTrend\CMTCandidate.cs" />
    <Compile Include="Generator\CMTrend\CMTCandidateGenerator.cs" />
    <Compile Include="Generator\CMTrend\CMTParams.cs" />
    <Compile Include="Generator\CMTrend\CMTPositions.cs" />
    <Compile Include="Generator\CMTrend\CMTSessionManager.cs" />
    <Compile Include="Generator\DividendHistoryGenerator.cs" />
    <Compile Include="Generator\GainLoss\ActiveGainLossGenerator.cs" />
    <Compile Include="Generator\GainLoss\GainLossGeneratorCum.cs" />
    <Compile Include="Generator\GainLoss\GainLossHelper.cs" />
    <Compile Include="Generator\GainLoss\IActiveGainLossGenerator.cs" />
    <Compile Include="Generator\GainLoss\ITotalGainLossGenerator.cs" />
    <Compile Include="Generator\Indicators\OverExtendedIndicator.cs" />
    <Compile Include="Generator\Indicators\ChannelBreakoutIndicator.cs" />
    <Compile Include="Generator\Indicators\PriceTrendIndicator.cs" />
    <Compile Include="Generator\Indicators\NarrowRangeIndicator.cs" />
    <Compile Include="Generator\ModelGenerators\VolatilityGenerator.cs" />
    <Compile Include="Generator\Indicators\VolumeTrendIndicator.cs" />
    <Compile Include="Generator\Model\Expectancy.cs" />
    <Compile Include="Generator\Momentum\CandidateViolation.cs" />
    <Compile Include="Generator\Momentum\MGSessionParams.cs" />
    <Compile Include="Generator\Momentum\QualityIndicator.cs" />
    <Compile Include="Generator\Momentum\ScoreIndicator.cs" />
    <Compile Include="Generator\MovingAverage\ExponentialMovingAverageCrossover.cs" />
    <Compile Include="Generator\MovingAverage\MovingAverageCrossover.cs" />
    <Compile Include="Generator\MovingAverage\MovingAverageGenerator.cs" />
    <Compile Include="Generator\ParityGenerator.cs" />
    <Compile Include="Generator\DCFGenerator.cs" />
    <Compile Include="Generator\GainLoss\GainLossGenerator.cs" />
    <Compile Include="Generator\GrahamGenerator.cs" />
    <Compile Include="Generator\MACDGenerator.cs" />
    <Compile Include="Generator\Momentum\ActivePositions.cs" />
    <Compile Include="Generator\Momentum\Backtest.cs" />
    <Compile Include="Generator\Momentum\BacktestResult.cs" />
    <Compile Include="Generator\Momentum\Candidates.cs" />
    <Compile Include="Generator\Momentum\CandidateSelector.cs" />
    <Compile Include="Generator\Momentum\MGSessionManager.cs" />
    <Compile Include="Generator\Momentum\PositionNotification.cs" />
    <Compile Include="Generator\Momentum\IDIndicator.cs" />
    <Compile Include="Generator\Momentum\MGConfiguration.cs" />
    <Compile Include="Generator\Momentum\Positions.cs" />
    <Compile Include="Generator\Momentum\SlotPosition.cs" />
    <Compile Include="Generator\RiskFreeRateGenerator.cs" />
    <Compile Include="Generator\RSIGenerator.cs" />
    <Compile Include="Generator\SentimentGenerator.cs" />
    <Compile Include="Generator\TermStructure\CurveMapping.cs" />
    <Compile Include="Generator\TermStructure\TermStructureGenerator.cs" />
    <Compile Include="Generator\TLBRankGenerator.cs" />
    <Compile Include="Generator\TradeSignalWatchGenerator.cs" />
    <Compile Include="Generator\ModelGenerators\TrueRangeGenerator.cs" />
    <Compile Include="Generator\ValuationGenerator.cs" />
    <Compile Include="Helper\AnalystPriceTargetMarketDataHelper.cs" />
    <Compile Include="Helper\EarningsAnnouncementsMarketDataHelper.cs" />
    <Compile Include="Helper\FinancialStatementsMarketDataHelper.cs" />
    <Compile Include="Helper\CIKMarketDataHelper.cs" />
    <Compile Include="Helper\CompanyProfileMarketDataHelper.cs" />
    <Compile Include="Helper\DividendHistoryMarketDataHelper.cs" />
    <Compile Include="Helper\ETFHoldingsMarketDataHelper.cs" />
    <Compile Include="Helper\FundamentalMarketDataHelper.cs" />
    <Compile Include="Helper\HeadlinesMarketDataHelper.cs" />
    <Compile Include="Helper\HistoricalMarketDataHelper.cs" />
    <Compile Include="Helper\InsiderTransactionMarketDataHelper.cs" />
    <Compile Include="Helper\InsiderTransactionsParser.cs" />
    <Compile Include="Helper\MarketDataHelperBase.cs" />
    <Compile Include="Helper\OptionsChainsMarketDataHelper.cs" />
    <Compile Include="Helper\PricingMarketDataHelper.cs" />
    <Compile Include="Helper\SECFilingMarketDataHelper.cs" />
    <Compile Include="Helper\SplitHelper.cs" />
    <Compile Include="Helper\ThreadHelper.cs" />
    <Compile Include="Helper\TimeZoneHelper.cs" />
    <Compile Include="Helper\ZacksRankMarketDataHelper.cs" />
    <Compile Include="Integration\Network.cs" />
    <Compile Include="Integration\SMSClient.cs" />
    <Compile Include="Integration\Socket.cs" />
    <Compile Include="Integration\UserAgent.cs" />
    <Compile Include="MarketDataModel\AnalystPriceTarget.cs" />
    <Compile Include="DataAccess\AnalystPriceTargetDA.cs" />
    <Compile Include="MarketDataModel\AnalystRatings.cs" />
    <Compile Include="MarketDataModel\BalanceSheet.cs" />
    <Compile Include="MarketDataModel\BetaModel.cs" />
    <Compile Include="MarketDataModel\BollingerBand.cs" />
    <Compile Include="Generator\BollingerBandGenerator.cs" />
    <Compile Include="Helper\BollingerBandHelperSheet.cs" />
    <Compile Include="MarketDataModel\FeedStatistics.cs" />
    <Compile Include="MarketDataModel\FundamentalV2.cs" />
    <Compile Include="MarketDataModel\GainLoss\GainLossCompoundModel.cs" />
    <Compile Include="MarketDataModel\GainLoss\GainLossCompoundModelCollection.cs" />
    <Compile Include="MarketDataModel\GainLoss\GainLossSummaryItem.cs" />
    <Compile Include="MarketDataModel\GainLoss\GainLossSummaryItemCollection.cs" />
    <Compile Include="MarketDataModel\GainLoss\SortGainLossCompoundModelYearDescendingOrder.cs" />
    <Compile Include="MarketDataModel\GainLoss\SortTotalGainLossYearDescendingOrder.cs" />
    <Compile Include="MarketDataModel\GainLoss\SortYearDescendingOrder.cs" />
    <Compile Include="MarketDataModel\GainLoss\TotalGainLossCollection.cs" />
    <Compile Include="MarketDataModel\GainLoss\TotalGainLossItem.cs" />
    <Compile Include="MarketDataModel\KeyValue.cs" />
    <Compile Include="MarketDataModel\MobileDataModels.cs" />
    <Compile Include="MarketDataModel\ModelPerformance.cs" />
    <Compile Include="MarketDataModel\ParityElement.cs" />
    <Compile Include="MarketDataModel\PositionWithDescription.cs" />
    <Compile Include="MarketDataModel\PremarketElement.cs" />
    <Compile Include="MarketDataModel\PriceIndex.cs" />
    <Compile Include="MarketDataModel\PricesByDate.cs" />
    <Compile Include="MarketDataModel\SharpeRatioModel.cs" />
    <Compile Include="MarketDataModel\StopLimit.cs" />
    <Compile Include="MarketDataModel\User\User.cs" />
    <Compile Include="Numerics\LeastSquares.cs" />
    <Compile Include="Numerics\SharpeRatioGenerator.cs" />
    <Compile Include="Security\Encryption.cs" />
    <Compile Include="Utility\CSVLineHelper.cs" />
    <Compile Include="DataAccess\DataSource.cs" />
    <Compile Include="DataAccess\DataSourceEx.cs" />
    <Compile Include="Utility\DateGenerator.cs" />
    <Compile Include="Utility\DateRange.cs" />
    <Compile Include="MarketDataModel\CashflowStatement.cs" />
    <Compile Include="MarketDataModel\Constants.cs" />
    <Compile Include="MarketDataModel\CurrencyConversionElement.cs" />
    <Compile Include="MarketDataModel\RSICollection.cs" />
    <Compile Include="MarketDataModel\WordDictionary.cs" />
    <Compile Include="MarketDataModel\DividendLoad.cs" />
    <Compile Include="MarketDataModel\DividendPayment.cs" />
    <Compile Include="MarketDataModel\EarningsAnnouncement.cs" />
    <Compile Include="MarketDataModel\EarningsAnnouncementModel.cs" />
    <Compile Include="MarketDataModel\EconomicIndicators.cs" />
    <Compile Include="MarketDataModel\ExponentialDecay.cs" />
    <Compile Include="MarketDataModel\Headlines.cs" />
    <Compile Include="MarketDataModel\Lexical.cs" />
    <Compile Include="MarketDataModel\ReturnItem.cs" />
    <Compile Include="MarketDataModel\Cashflows.cs" />
    <Compile Include="MarketDataModel\CashTransactions.cs" />
    <Compile Include="MarketDataModel\CompanyProfile.cs" />
    <Compile Include="MarketDataModel\DCFValuation.cs" />
    <Compile Include="MarketDataModel\Decay.cs" />
    <Compile Include="MarketDataModel\DividendHistory.cs" />
    <Compile Include="MarketDataModel\DMADeviation.cs" />
    <Compile Include="MarketDataModel\DMAPrice.cs" />
    <Compile Include="DataAccess\FundamentalDA.cs" />
    <Compile Include="MarketDataModel\ETFHoldings.cs" />
    <Compile Include="MarketDataModel\Fundamentals.cs" />
    <Compile Include="DataAccess\HistoricalDA.cs" />
    <Compile Include="Integration\HttpNetRequest.cs" />
    <Compile Include="MarketDataModel\GainLoss\GainLossItem.cs" />
    <Compile Include="MarketDataModel\IncomeStatement.cs" />
    <Compile Include="MarketDataModel\InsiderTransaction.cs" />
    <Compile Include="MarketDataModel\OptionsModel.cs" />
    <Compile Include="MarketDataModel\Sentiment.cs" />
    <Compile Include="MarketDataModel\Splits.cs" />
    <Compile Include="MarketDataModel\WatchListItem.cs" />
    <Compile Include="Generator\Momentum\MomentumGenerator.cs" />
    <Compile Include="MarketDataModel\ZacksRank.cs" />
    <Compile Include="Numerics\BetaGenerator.cs" />
    <Compile Include="Numerics\Bin.cs" />
    <Compile Include="Numerics\KStest.cs" />
    <Compile Include="Helper\MACDHelperSheet.cs" />
    <Compile Include="Helper\MarketDataHelper.cs" />
    <Compile Include="MarketDataModel\MACD.cs" />
    <Compile Include="MarketDataModel\MACDSetup.cs" />
    <Compile Include="MarketDataModel\MovingAverage.cs" />
    <Compile Include="MarketDataModel\PortfolioTrade.cs" />
    <Compile Include="MarketDataModel\PortfolioTrades.cs" />
    <Compile Include="MarketDataModel\SECFiling.cs" />
    <Compile Include="MarketDataModel\SwingTrade.cs" />
    <Compile Include="MarketDataModel\TradeResult.cs" />
    <Compile Include="MarketDataModel\Valuations.cs" />
    <Compile Include="MarketDataModel\YieldCurve.cs" />
    <Compile Include="MDTrace.cs" />
    <Compile Include="Helper\MovingAverageHelperSheet.cs" />
    <Compile Include="MarketDataModel\MovingDeviation.cs" />
    <Compile Include="Numerics\BlackScholes.cs" />
    <Compile Include="Numerics\Numerics.cs" />
    <Compile Include="MarketDataModel\Portfolio.cs" />
    <Compile Include="DataAccess\PortfolioDA.cs" />
    <Compile Include="MarketDataModel\Prices.cs" />
    <Compile Include="DataAccess\PricingDA.cs" />
    <Compile Include="Numerics\Spline.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="MarketDataModel\ResistanceSupport.cs" />
    <Compile Include="MarketDataModel\Securities.cs" />
    <Compile Include="MarketDataModel\Signal.cs" />
    <Compile Include="Generator\SignalGenerator.cs" />
    <Compile Include="MarketDataModel\SignalHolder.cs" />
    <Compile Include="Generator\SignalTrader.cs" />
    <Compile Include="Utility\ExtensionMethods.cs" />
    <Compile Include="Utility\FeedParser.cs" />
    <Compile Include="Utility\HolidayCache.cs" />
    <Compile Include="Utility\NVP.cs" />
    <Compile Include="Utility\Profiler.cs" />
    <Compile Include="Utility\Sections.cs" />
    <Compile Include="Utility\UpdateManager.cs" />
    <Compile Include="Utility\SQLUtils.cs" />
    <Compile Include="DataAccess\BalanceSheetDA.cs" />
    <Compile Include="MarketDataModel\Statistic.cs" />
    <Compile Include="MarketDataModel\StickerPrice.cs" />
    <Compile Include="MarketDataModel\Stochastic.cs" />
    <Compile Include="Generator\StochasticsGenerator.cs" />
    <Compile Include="Helper\StochasticsHelperSheet.cs" />
    <Compile Include="Helper\SwingTradeHelper.cs" />
    <Compile Include="MarketDataModel\TimeSeriesElement.cs" />
    <Compile Include="MarketDataModel\ModelTrade.cs" />
    <Compile Include="Utility\Utility.cs" />
    <Compile Include="ValueAtRisk\BinItem.cs" />
    <Compile Include="ValueAtRisk\BinManager.cs" />
    <Compile Include="ValueAtRisk\PortfolioHoldings.cs" />
    <Compile Include="ValueAtRisk\HVaR.cs" />
    <Compile Include="ValueAtRisk\VaRResult.cs" />
    <Compile Include="ValueAtRisk\WeightedReturnsWithContributions.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Axiom\Axiom.Core\Axiom.Core.csproj">
      <Project>{f0f0f2b4-bb86-49b5-ba93-2642637033d6}</Project>
      <Name>Axiom.Core</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>